
const cases = [
	['bonus_case', 'Bonus кейс'],
	['silver_case', 'Silver кейс'],
	['gold_case', 'Gold кейс'],
	['diamond_case', 'Diamond кейс'],
	['draconic_case', 'Draconic кейс'],
	['botania_case', 'Botania кейс'],
	['solar_case', 'Solar кейс'],
];

global.getCases = function(){
	return cases;
}


onEvent('item.registry', event => {
	for(var i = 0; i < cases.length; i++){
		event.create(cases[i][0]).displayName(cases[i][1]).maxStackSize(1).rarity(RARITY_EPIC)
	}
});
onEvent('item.tooltip', tooltip => {
	for(var i = 0; i < cases.length; i++){
		tooltip.add('kubejs:' + cases[i][0], global.tooltipCase(cases[i][0]))
	}
})


global.tooltipCase = function(id) {
	var tool = global.getCaseContent(id);
	id = 'kubejs:' + id;

	var blue = tool[0]
	var purple = tool[1]
	var lightPurple = tool[2]
	var red = tool[3]
	var gold = tool[4]

	onEvent('item.tooltip', tooltip => {
		tooltip.add(id, text.green("Список предметов, которые ты можешь получить:"))
		tooltip.add(id, text.green("/**************************************************/"))

		var str = '';
		for(var i = 0; i < blue.length; i++)
		str += '§f'+ item.of(blue[i]).name + ' x' + item.of(blue[i]).count + '§f, §f';
		str = str.slice(0, str.length - 4);
		tooltip.add(id, str);

		str = '';
		for(var i = 0; i < purple.length; i++)
		str += '§a'+ item.of(purple[i]).name + ' x' + item.of(purple[i]).count + '§f, §a';
		str = str.slice(0, str.length - 4);
		tooltip.add(id, str);

		str = '';
		for(var i = 0; i < lightPurple.length; i++)
		str += '§9'+ item.of(lightPurple[i]).name + ' x' + item.of(lightPurple[i]).count + '§f, §9';
		str = str.slice(0, str.length - 4);
		tooltip.add(id, str);

		str = '';
		for(var i = 0; i < red.length; i++)
		str += '§d'+ item.of(red[i]).name + ' x' + item.of(red[i]).count + '§f, §d';
		str = str.slice(0, str.length - 4);
		tooltip.add(id, str);

		str = '';
		for(var i = 0; i < gold.length; i++)
		str += '§e'+ item.of(gold[i]).name + ' x' + item.of(gold[i]).count + '§f, §e';
		str = str.slice(0, str.length - 4);
		tooltip.add(id, str);

	});
    return text.green("Жми ПКМ чтобы открыть!")
};